# generated by cabal-rpm-2.0.4
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name purebred-email
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        0.4.1
Release:        1%{?dist}
Summary:        Types and parser for email messages (including MIME)

License:        AGPLv3
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-attoparsec-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-base64-bytestring-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-case-insensitive-prof
BuildRequires:  ghc-concise-prof
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-lens-prof
BuildRequires:  ghc-semigroupoids-prof
BuildRequires:  ghc-semigroups-prof
BuildRequires:  ghc-stringsearch-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-time-prof
# End cabal-rpm deps

%description
The purebred email library. RFC 5322, MIME, etc.

Things that are currently implemented:

- RFC 5322 message parsing and serialisation - MIME multipart parsing (RFC
2046) and serialisation - MIME message header extensions for non-ASCII text
(RFC 2047) - MIME parameter value and encoded word extensions (RFC 2231) -
Content-Disposition header field (RFC 2183) - Message encapsulation
(forward/bounce)

Things that are not yet implemented / need improvement:

- Improve handling of dates - Probably lots of other things.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%if 0%{?fedora} < 31 || 0%{?rhel} < 8
%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc README.rst


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Wed May 20 2020 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.4.1-1
- spec file generated by cabal-rpm-2.0.4
